Skip to main content
POST
/
api
/
ai
/
v1
/
image
/
text
curl --request POST \
  --url https://{subdomain}.domo.com/api/ai/v1/image/text \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "image": {
    "data": "<base64 string>",
    "type": "base64",
    "mediaType": "image/png"
  }
}
'
{
  "prompt": "What do you see in this image?",
  "output": "This image shows a small red square on a white background. The square appears to be a simple geometric shape with clean edges.",
  "model": "domo.domo_ai.domogpt-medium-v1.2:anthropic"
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-arun-raj-connectors-domo-479695-remove-crime-report.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Body

application/json

Image to text AI Service request.

Image to Text AI Service Request.

Prompt Templates

A prompt template is a string that contains placeholders for parameters that will be replaced with parameter values before the prompt is submitted to the model.

A default prompt template is set for each model configured for the Image to Text AI Service. Individual requests can override the default template by including the promptTemplate parameter.

Prompt Template Parameters

The following request parameters are automatically injected into the prompt template if the associated placeholder is present:

  • input
  • system

Models with built-in support for system prompts and chat message history do not need to include system or chatContext in the prompt template.

Additional parameters can be provided in the parameters map as key-value pairs.

Prompt Template Examples

  • "${input}"
  • "${system}\n${input}"
input
string
required

The input text prompt for analyzing the image.

image
object

The image to analyze and extract text from.

sessionId
string<uuid>

The AI session ID. If provided, this request will be associated with the specified AI Session.

model
string

The ID of the model to use for Image to Text processing. The specified model must be configured for the Image to Text AI Service by an Admin.

system
string

The system message to use for the Image to Text task. If not provided, the default system message will be used. If the model does not include built-in support for system prompts, this parameter may be included in the prompt template using the "${system}" placeholder.

modelConfiguration
object

Additional model-specific configuration parameter key-value pairs. e.g. temperature, max_tokens, etc.

promptTemplate
object

The prompt template to use for the Image to Text task. The default prompt template will be used if not provided.

parameters
object

Custom parameters to inject into the prompt template if an associated placeholder is present.

maxTokens
integer<int32>

The maximum number of tokens to generate in the response.

temperature
number<double>

Controls randomness in the model's output. Lower values make output more deterministic.

responseFormat
object

Model response format specification for structured outputs.

reasoningConfig
object

Configuration for reasoning behavior and effort level.

Response

TextAIResponse A TextAIResponse containing the extracted or analyzed text from the image.

Response from a text AI Service.

prompt
string

The formatted prompt that was used to generate the response.

choices
object[]
deprecated

The list of choices generated by the model.

modelId
string

The id of the model used to generate the response.

sessionId
string<uuid>

The id of the AI Session associated with this request.

output
string

The output of the model.

modelProviderUsage
object

The token usage from the model provider.